org.apache.felix.bundlerepository.impl.wrapper

## Class RepositoryWrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.RepositoryWrapper

All Implemented Interfaces:
  org.osgi.service.obr.Repository

    public class RepositoryWrapper
    extends java.lang.Object
    implements org.osgi.service.obr.Repository

### Constructor Summary

Constructors
Constructor and Description
`RepositoryWrapper(Repository repository)`

### Method Summary

Methods
`long` `getLastModified()`
`java.lang.String` `getName()`
`org.osgi.service.obr.Resource[]` `getResources()`
`java.net.URL` `getURL()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryWrapper

    public RepositoryWrapper(Repository repository)

### Method Detail

#### getURL

    public java.net.URL getURL()

Specified by:
  `getURL` in interface `org.osgi.service.obr.Repository`

#### getResources

    public org.osgi.service.obr.Resource[] getResources()

Specified by:
  `getResources` in interface `org.osgi.service.obr.Repository`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.osgi.service.obr.Repository`

#### getLastModified

    public long getLastModified()

Specified by:
  `getLastModified` in interface `org.osgi.service.obr.Repository`